<input type="button" name="opyn_check_credential" id="opyn_check_credential" value="Verify credentials">

<script>
    (function  () {
        require(["jquery"], function($) {
            $(document).ready(function($) {
                var tokenUrl=window.location.origin+'/opyn_login/index/OpynToken';
                $("#opyn_check_credential").on("click", function(e){
                    $.ajax({
                        type: "GET",
                        url: tokenUrl,
                        data: {
                            'client_id':$('input[name="groups[opyn][fields][client_id][value]"]').val(),
                            'client_secret':$('input[name="groups[opyn][fields][client_secret][value]"]').val(),
                            'environment':$('input[name="groups[opyn][fields][environment][value]"]').val(),
                            'sandbox_login':$('input[name="groups[opyn][fields][sandbox_login][value]"]').val(),
                            'prod_login':$('input[name="groups[opyn][fields][prod_login][value]"]').val(),
                            'check_credentials':1,
                        },
                        async: false,
                        success: function (login) {
                            var resStart=login.search("access_token");
                            var response=login.slice(resStart-2);
                            var responseJSON= JSON.parse(response)

                            if (!responseJSON.access_token) {
                                $('select[name="groups[opyn][fields][active][value]"]').val(0);
                                alert('OPYN credentials are incorrect. Payment will be disabled');
                                return;
                            }
                            else{
                                alert('The OPYN credentials entered are correct');
                            }
                        },
                        error: function () {
                            $('select[name="groups[opyn][fields][active][value]"]').val(0);
                            alert('Unable to verify credentials. Payment will be disabled');
                            return;
                        }
                    });
                })
            });
        });
    })();
</script>
